summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xfunctests.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/functests.sh b/functests.sh
new file mode 100755
index 0000000..9797f58
--- /dev/null
+++ b/functests.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+SRC_DIR=$(dirname $0)
+
+cd ${SRC_DIR}/test/functional
+nosetests --exe $@
+func1=$?
+cd -
+
+cd ${SRC_DIR}/test/functionalnosetests
+nosetests --exe $@
+func2=$?
+cd -
+
+exit $((func1 + func2))